/*Ghassan Fakher
 * section 4
 gkf01*/
package CMPS212.Spring2013.Bdeir.Assignment2.Bank;

import java.util.Date;

public class Transaction{

	private Date transactionDate;
	private String transactionID;
	private float amount;
	private Account sourceAccount;
	private static int lastTransactionID = 0;	
	
	
	public Transaction(float amount, Account sourceAccount)
	{
		transactionDate = new Date();
		this.amount = amount;
		this.sourceAccount = sourceAccount;
		lastTransactionID++;
		transactionID = lastTransactionID + "";
	}
	/*
	 * @return Date of the transaction
	 */
	public Date getTransactionDate()
	{
		return transactionDate;
	}
	/*
	 * @return float the amount of money of the transaction
	 */
	public float getAmount()
	{
		return amount;
	}
	/*
	 * @return Account the account where the transaction happened
	 */
	public Account getSourceAccount()
	{
		return sourceAccount;
	}
	/*
	 * return String the ID of the transaction 
	 */
	public String getTransactionID()
	{
		return transactionID;
	}
	public String toString()
	{
		String s = "Transaction ID: " + getTransactionID();
		s += "\n" + "Date: " + transactionDate;
		s += "\n" + "Account Number: " + sourceAccount.getAccountNumber();
		s += "\n" + "Amount: $" + amount;		//assuming that the USD is the used currency
		return s;
	}
	
}

